Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks.incremental
[Java] Interface InputFileDetails

    @Incubating
    public interface InputFileDetails

A change to an input file.

Method Summary
`File` | `getFile()` The input file, which may no longer exist.
`boolean` | `isAdded()` Was the file added?
`boolean` | `isModified()` Was the file modified?
`boolean` | `isRemoved()` Was the file removed?

Method Detail

### getFile

    public File getFile()

  The input file, which may no longer exist.
  Returns:
    the input file

### isAdded

    public boolean isAdded()

  Was the file added?
  Returns:
    true if the file was added since the last execution

### isModified

    public boolean isModified()

  Was the file modified?
  Returns:
    if the file was modified

### isRemoved

    public boolean isRemoved()

  Was the file removed?
  Returns:
    true if the file was removed since the last execution

Gradle API 1.10